/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/



 /*+----------------------------------------------------------------+
  | Name:     dummy_etl.sas
  | Product:  SAS Environment Manager
  |
  | Purpose:  Placeholder macro that does nothing 
  |
  |
  | Inputs    i
  |
  |
  | History:  Date    action
  |           05Apr17 Initial Coding                              snornb
  |           
  | Future:
  | End
  +----------------------------------------------------------------+*/
%macro dummy_etl(inputtsv=,               /* file to read */
                 resource_category=,
                 resourcetype=,
                 caslib=,
                 casmemname=,
                 firstobs=,               /* first record in input file to read */
                 lastrecread=,            /* name of macro var to hold last record read info */
                 update_cas=Y);            /* Y|N flag to indicate whether CAS SEARCH INDEX should be updated */


 %put DEBUG: Dummy ETL program called for file [&inputtsv] starting at record [&firstobs] and with the update_cas flag set to [&update_cas];

%mend dummy_etl;
