/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     cas_test.sas                                         |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Misc utility                                         |   
   |                                                                |
   | History:  Date    action                                       |
   |           10MAy17 Initial Coding                        frefor |
   |                                                                |
   |                                                                |
   +----------------------------------------------------------------+*/
proc printto print='~/counters.txt' new;run;
options cashost="vdmml-fred.opsmonitor.sashq-d.openstack.sas.com" casport=5570 ls=132;
cas mycas;
caslib _all_ assign;

libname sysdata cas caslib="systemdata";
run;
proc contents data=sysdata._all_;
run;
proc print data=sysdata.system;
	var datetime user_cpu_pct usercpu;
	format user_cpu_pct 20.16;
run;
proc printto;run;