/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/



 /*+----------------------------------------------------------------+
  | Name:     init_lumberyard.sas
  | Product:  SAS Environment Manager
  |
  | Purpose:  Initializes CAS search index 
  |
  |
  | Inputs    CASlib, cas_search_idxname, schema file
  |
  |
  | History:  Date    action
  |           05Apr17 Initial Coding                              snornb
  |           
  | Future:
  | End
  +----------------------------------------------------------------+*/
/* ATTEMPT TO CONNECT TO CAS;       */
/* ABORT IF CONNECTION FAILS.       */
%get_cas_session(abortonfail=Y);


proc cas;
%initIndex(caslib=&cas_search_caslib, indexname=&cas_search_idxname, schemafile=&schema_file);
run;
quit;

%exit_cas_session();
