/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     check_results.sas                                    |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  Checks the status submitted CAS actions; sets a      |
   |           return code                                          |
   |                                                                |
   | History:  Date    action                                       |
   |           17MAR17 Initial Coding                        sasgzs |
   |                                                                |
   +----------------------------------------------------------------+*/
  

%macro check_results(results=,     /* CAS Result object from CAS Action request */
                     status=s,     /* CAS status object from CAS Action request */
                     message=);    /* Text to display in generated message (FUTURE) */

  *%emimacroinit();
   
  *put "RESULTS:" results;
  rc = &status..severity; 
  
%mend check_results;
