/***************************************************/
/* Copyright (c) 2017 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

 /*+----------------------------------------------------------------+
   | Name:     emimacroinit.sas                                     |
   | Product:  SAS Environment Manager                              |
   |                                                                |
   | Purpose:  This macro performs a standard set of initialization |
   |           tasks needed for most of the SAS Environment Manager |
   |           related macros.                                      |
   |                                                                |
   | History:  Date    action                                       |
   |           05APR17 Initial Coding                        sasgzs |
   +----------------------------------------------------------------+*/
   
%macro emimacroinit(mname=);  /* Name of the macro being initialized */

   %if "&mname" eq"" %then %let mname=%sysmexecname(%sysmexecdepth-1);

   %evcomment((&MNAME) ...initializing runID [&RUNID.] date [&date]);
   
%mend emimacroinit;