/***************************************************/
/* Copyright (c) 2014 SAS Institute Inc.           */
/* SAS Campus Drive, Cary, NC, USA                 */
/* All Rights Reserved                             */
/***************************************************/

%macro everrck(rc=1, 
               macro=someMacro, 
               msg=yourMessage, 
               errFlag=NULL, 
               errMsgV=NULL, 
               errVal=NULL, 
               resetErr=Y, 
               action= %quote(write this message));

  %global &errflag &errMsgV;
  
  %if "&rc" ne "0" %then 
  %do; /* error was encountered */
  
     %put ERROR: *** An error was encountered while running &macro..  The error message is: &msg. ***; 
     

     %if "&resetErr" eq "Y" %then
     %do; /* set new error flag and message */
     
        %let &errFlag = &errVal;
        %let &errMsgV = &msg;

        %put ERROR: *** The &errFlag was set to &errVal and the following action was taken: &action  ***;

     %end; /* set new error flag and message */
     
     %if "&ACTION" eq "RETURN" %then %return;
     %if "&ACTION" eq "ABORT" %then %abort;
  
  %end;/* error was encountered */
  
%mend everrck;